/// <reference types="node" />
/// <reference types="node" />
import S3 from 'aws-sdk/clients/s3';
import { ICredentialOptions } from '../../types';
import { Readable } from 'stream';
export declare class Storage {
    private _instance;
    private _cos;
    private _region;
    constructor({ endpoint, region, credential, cos, }: {
        credential: ICredentialOptions;
        endpoint?: string;
        region?: string;
        cos?: boolean;
    });
    getObjectSignedUrl({ Bucket, Key, Expires }: {
        Bucket: any;
        Key: any;
        Expires: any;
    }): Promise<{
        Url: string;
    }>;
    putObject({ Bucket, Key, Body, ACL, }: {
        Bucket: string;
        Key: string;
        Body: Buffer | String | Readable;
        ACL?: S3.PutObjectRequest['ACL'];
    }): Promise<null>;
    putBucketAcl({ ACL, Bucket }: {
        ACL: any;
        Bucket: any;
    }): Promise<unknown>;
    putObjectAcl({ ACL, Bucket, Key }: {
        ACL: any;
        Bucket: any;
        Key: any;
    }): Promise<unknown>;
}
export declare function getUploadDirFileList(src: string, cloudPath: string): {
    src: string;
    cloudPath: string;
}[];
